(FM-4049) Update to current msync configs [2c99161]
[puppet_vcsrepo.git] / .travis.yml
index 1155a2d..e6314a4 100644 (file)
@@ -1,23 +1,19 @@
 ---
 sudo: false
 language: ruby
+cache: bundler
 bundler_args: --without system_tests
-script: "bundle exec rake spec SPEC_OPTS='--format documentation'"
+script: "bundle exec rake validate lint spec"
 matrix:
   fast_finish: true
   include:
-  - rvm: 1.8.7
+  - rvm: 2.1.6
+    env: PUPPET_GEM_VERSION="~> 4.0" STRICT_VARIABLES="yes"
+  - rvm: 2.1.5
+    env: PUPPET_GEM_VERSION="~> 3.0" FUTURE_PARSER="yes"
+  - rvm: 2.1.5
     env: PUPPET_GEM_VERSION="~> 3.0"
   - rvm: 1.9.3
     env: PUPPET_GEM_VERSION="~> 3.0"
-  - rvm: 2.1.5
-    env: PUPPET_GEM_VERSION="~> 3.0"
-  - rvm: 2.1.5
-    env: PUPPET_GEM_VERSION="~> 3.0" FUTURE_PARSER="yes"
-  - rvm: 2.1.6
-    env: PUPPET_GEM_VERSION="~> 4.0" STRICT_VARIABLES="yes"
-  allow_failures:
-    - rvm: 2.1.6
-      env: PUPPET_GEM_VERSION="~> 4.0" STRICT_VARIABLES="yes"
 notifications:
   email: false